# 32/64bit spec-file
#


Name:			seamonkey
Version:		2.53.18.2
Release:		%mkrel 1
Summary:	Web browser, e-mail, news, IRC client, HTML editor
URL:			http://www.seamonkey-project.org/
Group:		Networking/WWW
License:		MPLv1.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Obsoletes:	%name < %version
AutoReqProv: no


%description
SeaMonkey is an all-in-one Internet application suite. It includes
a browser, mail/news client, IRC client, JavaScript debugger, and
a tool to inspect the DOM for web pages. It is derived from the
application formerly known as Mozilla Application Suite.

%prep
#Here we go!
cd %_builddir
wget -nc https://archive.mozilla.org/pub/seamonkey/releases/%{version}/linux-x86_64/en-US/seamonkey-%{version}.en-US.linux-x86_64.tar.bz2
tar -xf seamonkey-%{version}.en-US.linux-x86_64.tar.bz2


%build
#nobuild

%install
%__rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%_libdir/%name
cp -fr ${RPM_BUILD_DIR}/%name/*  ${RPM_BUILD_ROOT}%_libdir/%name/

mkdir -p ${RPM_BUILD_ROOT}%_datadir/pixmaps
cp -fr ${RPM_BUILD_ROOT}%_libdir/%name/chrome/icons/default/default48.png ${RPM_BUILD_ROOT}%_datadir/pixmaps/%name.png

mkdir -p ${RPM_BUILD_ROOT}%_iconsdir/large
cp -fr ${RPM_BUILD_ROOT}%_libdir/%name/chrome/icons/default/default48.png ${RPM_BUILD_ROOT}%_iconsdir/large/%name.png

mkdir -p ${RPM_BUILD_ROOT}%_iconsdir/mini
cp -fr ${RPM_BUILD_ROOT}%_libdir/%name/chrome/icons/default/default16.png ${RPM_BUILD_ROOT}%_iconsdir/mini/%name.png

cp -fr ${RPM_BUILD_ROOT}%_libdir/%name/chrome/icons/default/default32.png ${RPM_BUILD_ROOT}%_iconsdir/%name.png

mkdir -p ${RPM_BUILD_ROOT}%_datadir/applications
cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-%name-addressbook.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey Address Book
Comment=Seamonkey Address Book
Exec=%_libdir/%name/%name -addressbook
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-Mail;Network;Email;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey-chat.desktop <<EOF
[Desktop Entry]
Name=ChatZilla
Comment=Seamonkey IRC client
Exec=%_libdir/%name/%name -chat
Icon=seamonkey
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-Chat;Network;IRCClient;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey-composer.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey Composer
Comment=Seamonkey Composer HTML editor
Exec=%_libdir/%name/%name -edit %u
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;WebDevelopment;X-MandrivaLinux-Internet-WebEditors;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey-mail.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey Mail
Comment=Seamonkey Mail & Newsgroups e-mail client
Exec=%_libdir/%name/%name -mail
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-Mail;Network;Email;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey-news.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey News
Comment=Seamonkey Mail & Newsgroups news reader
Exec=%_libdir/%name/%name -news
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-News;Network;News;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey Navigator
Comment=Seamonkey Navigator web browser
Exec=%_libdir/%name/%name %u
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
StartupWMClass=Seamonkey-bin
EOF


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_libdir/%name
%_datadir/applications/pclinuxos-%name.desktop
%_datadir/applications/pclinuxos-%name-*.desktop
%_datadir/pixmaps/%name.png
%_iconsdir/large/%name.png
%_iconsdir/mini/%name.png
%_iconsdir/%name.png

%changelog
* Thu Mar 28 2024 tex - 2.53.18.2-1pclos2024
- new version

* Tue Jan 16 2024 tex - 2.53.18.1-1pclos2024
- new version

* Fri Dec 08 2023 tex - 2.53.18-1pclos2023
- new version

* Wed Sep 20 2023 tex - 2.53.17.1-1pclos2023
- new version

* Mon Jul 31 2023 tex - 2.53.17-1pclos2023
- new version

* Fri Mar 31 2023 tex - 2.53.16-1pclos2023
- new version

* Fri Jan 20 2023 tex - 2.53.15-1pclos2023
- new version

* Thu Sep 29 2022 tex - 2.53.14-1pclos2022
- new version

* Tue Jul 12 2022 tex - 2.53.13-1pclos2022
- new version

* Wed May 04 2022 tex - 2.53.12-1pclos2022
- new version

* Fri Mar 25 2022 tex - 2.53.11.1-1pclos2022
- new version

* Wed Mar 02 2022 tex - 2.53.11-1pclos2022
- new version

* Tue Dec 28 2021 tex - 2.53.10.2-1pclos2022
- new version

* Mon Dec 13 2021 tex - 2.53.10.1-1pclos2021
- new version

* Tue Nov 16 2021 tex - 2.53.10-1pclos2021
- new version

* Tue Sep 28 2021 tex - 2.53.9.1-1pclos2021
- new version

* Thu Aug 26 2021 tex - 2.53.9-1pclos2021
- new version

* Thu Jul 22 2021 tex - 2.53.8.1-1pclos2021
- new version

* Tue Jun 29 2021 tex - 2.53.8-1pclos2021
- new version

* Thu Apr 22 2021 tex - 2.53.7.1-1pclos2021
- new version

* Tue Mar 30 2021 tex - 2.53.7-1pclos2021
- new version

* Fri Jan 22 2021 tex - 2.53.6-1pclos2021
- new version

* Thu Nov 19 2020 tex - 2.53.5.1-1pclos2020
- new version

* Fri Nov 13 2020 tex - 2.53.5-1pclos2020
- new version

* Tue Sep 22 2020 tex - 2.53.4-1pclos2020
- new version

* Tue Jul 07 2020 tex - 2.53.3-1pclos2020
- new version

* Sun May 03 2020 tex - 2.53.2-1pclos2020
- new version

